package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type MobilesealDesRecordResultRequest struct {
	// 【本次加/解密任务id】本次加/解密任务id
	DesSid string `json:"desSid"`
	// 【成功/失败】成功/失败 【传参】 取值范围：true（成功），false（失败）
	Result string `json:"result"`
	// 【失败原因】失败原因 【传参】 1.解密失败后可传入，辅助扫码用户查看对应失败原因； 2.成功时传入不生效
	FailReason string `json:"failReason,omitempty"`
}

func (obj MobilesealDesRecordResultRequest) GetUrl() string {
	return "/mobileseal/des/record/result"
}

func (obj MobilesealDesRecordResultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
